%define upstream_name    Expect-Simple
%define upstream_version 0.04

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 10

Summary:    Perl wrapper around the Expect module  
License:	GPL+ or Artistic
Group:		Development/Perl
Url:		https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/authors/id/D/DJ/DJERIUS/%{upstream_name}-%{upstream_version}.tar.bz2

BuildRequires:	perl(Expect) 
BuildArch:      noarch


%description
Expect::Simple is a wrapper around the Expect module which should suffice for 
simple applications. It hides most of the Expect machinery; the Expect object 
is available for tweaking if need be.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build
%check
make test

%install
%make_install
rm -rf $RPM_BUILD_ROOT/%{perl_vendorarch}

%files
%doc README
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Tue Mar 22 2022 umeabot <umeabot> 0.40.0-10.mga9
+ Revision: 1817134
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.40.0-9.mga8
+ Revision: 1494452
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 0.40.0-8.mga7
+ Revision: 1267868
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 0.40.0-7.mga6
+ Revision: 1027067
- Rebuild for perl 5.22.2

* Fri Feb 05 2016 umeabot <umeabot> 0.40.0-6.mga6
+ Revision: 939436
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.40.0-5.mga5
+ Revision: 739529
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.40.0-4.mga5
+ Revision: 684665
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.40.0-3.mga4
+ Revision: 511390
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.40.0-2.mga3
+ Revision: 367000
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Jan 23 2011 jquelin <jquelin> 0.40.0-1.mga1
+ Revision: 33764
- mageia rebuild
- imported package perl-Expect-Simple


* Sat Aug 01 2009 Jérôme Quelin <jquelin@mandriva.org> 0.40.0-1mdv2010.0
+ Revision: 405962
- rebuild using %%perl_convert_version

* Fri Aug 08 2008 Thierry Vignaud <tv@mandriva.org> 0.04-2mdv2009.0
+ Revision: 268505
- rebuild early 2009.0 package (before pixel changes)

* Sat May 10 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.04-1mdv2009.0
+ Revision: 205395
- update to new version 0.04

* Thu Dec 20 2007 Olivier Blin <oblin@mandriva.com> 0.03-1mdv2008.1
+ Revision: 135841
- restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Wed Aug 22 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.03-1mdv2008.0
+ Revision: 69241
- update to new version 0.03


* Wed Dec 28 2005 Michael Scherer <misc@mandriva.org> 0.02-2mdk
- Do not ship empty dir

* Sat Sep 24 2005 Michael Scherer <misc@mandriva.org> 0.02-1mdk
- First mandriva package

